#pragma comment(linker, "/STACK:100000000")
#include <cassert>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cctype>
#include <cmath>
#include <ctime>
#include <string>
#include <map>
#include <set>
#include <vector>
#include <queue>
#include <algorithm>
#include <iostream>
using namespace std;
#define int64 long long
#define ldb long double
#define pb push_back
#define mp make_pair
#define fs first
#define sc second
#define sz(a) ((int) (a).size())
#define eprintf(...) fprintf(stderr, __VA_ARGS__)
#define taskname "task_h"
const ldb pi = acos(-1.0);

int n, x, y, w, h;

char get(int x, int y) {
	x += n;
	x %= (4 * n);
	y %= (2 * n);
	if (y == 0) {
		if ((x >= n) && (x < 2 * n))
			return '_';
		if (x == n - 1)
			return '\\';
		if (x == 2 * n)
			return '/';
		return '.';
	}
	if ((y >= 1) && (y <= n)) {
		if (x < n)
			return (x + y == n) ? '/' : '.';
		if ((x >= 2 * n) && (x < 3 * n))
			return (x - y == 2 * n - 1) ? '\\' : '.';
		if ((y == n) && (x >= 3 * n) && (x < 4 * n))
			return '_';
		return '.';
	}
	if (x < n)
		return (x - y == -(n + 1)) ? '\\' : '.';
	if (x >= 2 * n)
		return (x + y == 4 * n) ? '/' : '.';
	return '.';
}

int main() {
	assert(freopen("input.txt", "r", stdin));
	assert(freopen("output.txt", "w", stdout));
	scanf("%d%d%d%d%d", &n, &x, &y, &w, &h);
	for (int i = 0; i < h; ++i) {
		for (int j = 0; j < w; ++j)
			printf("%c", get(x + j, y + i));
		printf("\n");
	}
	return 0;
}