{$mode objfpc}
uses
  Math;
var
  N, x, y, xx, yy, x0, y0, w, h: Integer;
begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);
  Read(N, x0, y0, w, h);
  for yy := 1 to h do begin
    for xx := 1 to w do begin
      x := (x0 + xx - 1) mod (4 * N);
      y := (y0 + yy - 1) mod (2 * N);
      if
        (y = 0) and InRange(x, 0, N - 1) or
        (y = N) and InRange(x, 2 * N, 3 * N - 1)
      then
        Write('_')
      else if
        (y = 0) and (x = 4 * N - 1) or
        InRange(y, 1, N) and (x = y + N - 1) or
        InRange(y, N + 1, 2 * N - 1) and (x = y + 2 * N - 1)
      then
        Write('\')
      else if
        (y = 0) and (x = N) or
        InRange(y, 1, N) and (x = 4 * N - y) or
        InRange(y, N + 1, 2 * N - 1) and (x = 3 * N - y)
      then
        Write('/')
      else
        Write('.');
    end;
    Writeln;
  end;
end.
